Subject: bug#36945: 27.0.50; read-library-name

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Sep 2020 17:48:19 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 15 Sep 2020 14:32:58 +0200
> Cc: [email-masked], Fabrice Popineau <[email-masked]>
> 
> Hm...  perhaps the function is just misnamed.  When I want to find a
> library, I really do want to complete over the library's name, and
> nothing else.

Since load-library must support the use case when the user forces to
load the .el file, not the .elc file, read-library-name must allow
library names with extensions, I think.  IOW, the "library" in this
context is just the basename of its file name, with or without the
extension.